/* 页码 分页器 */
.pagination {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 100px 0 240px 0;
  line-height: 26px;
  /* color: var(--theme-color); */
  position: relative;
}
.pagination a {
  /* color: var(--active-color); */
  display: inline-block;
}
.pagination .pagination-pages {
  font-size: 12px;
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  border-radius: 30px;
  box-sizing: border-box;
  background-color: #e4e4e4;
  color: #808080;
}
.pagination-pages:not(.num) + .pagination-pages:not(.num) {
  margin-left: 12px;
}
.pagination-pages.start,
.pagination-pages.end {
  letter-spacing: 1.5px;
}
.pagination-pages.start.num,
.pagination-pages.end.num {
  border: none;
  margin-left: 0;
}
a.pagination-pages:not(.num):hover,
.pagination .pagination-prev:hover,
.pagination .pagination-next:hover,
.pagination-pages.active {
  color: #ffffff;
  background-color: var(--active-color);
}
.pagination .pagination-prev,
.pagination .pagination-next {
  font-size: 13px;
  padding: 0 10px;
  border: 2px solid rgba(158, 195, 23, 0.2);
  border-radius: 2px;
  box-sizing: border-box;
}
.pagination .pagination-prev {
  margin-right: 12px;
}
.pagination .pagination-next {
  margin-left: 12px;
}
.pagination-total {
  display: none;
  font-size: 14px;
  letter-spacing: 1px;
}

@media screen and (max-width: 768px) {
  .pagination {
    width: 100%;
    padding: 0 20px;
    box-sizing: border-box;
    margin-top: 15px;
    justify-content: space-between;
  }
  .pagination a {
    padding: 0 4px;
  }
  .pagination .pagination-pages {
    display: none;
  }
  .pagination .pagination-prev,
  .pagination .pagination-next {
    font-size: 12px;
  }
  .pagination .pagination-prev {
    margin-right: 4px;
  }
  .pagination .pagination-next {
    margin-left: 4px;
  }
  .pagination-pages:not(.num) + .pagination-pages:not(.num) {
    margin-left: 8px;
  }
  .pagination-total {
    display: block;
  }
}
